%define module_name             e1000e
%define module_version          1.2.20
%define module_release          alt1

%define kversion	2.6.32
%define krelease	alt8
%define flavour		ovz-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132640.8

Summary: E1000E Driver
License: GPL
Group: System/Kernel and hardware
URL: https://sourceforge.net/projects/e1000

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
E1000E Linux kernel driver

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C src KSRC=%_usrsrc/linux-%kversion-%flavour KBUILD=%_usrsrc/linux-%kversion-%flavour

%install
%__install -d %buildroot/%module_dir
%__cp -a src/%module_name.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Thu May 12 2011 Evgeny Sinelnikov <sin@altlinux.ru> 1.2.20-alt1.132640.8
- Build for kernel-image-ovz-smp-2.6.32-alt8.

* Mon Feb 21 2011 Anton Protopopov <aspsk@altlinux.org> 1.2.20-alt1
- Build for Sisyphus
